<?php
    session_start();
	
/*	$base_data = date('Y-m-d');
	$dataAtual = dataAtual("his");
	$strodataAtualizada = strtotime("$base_data + 1 DAY");
	$dataAtualizada = date("d\-m\-Y", $strodataAtualizada);
	$emailAssinante = $_SESSION['dados']['Email'];
	$faturasAssinante = $_SESSION['dados']['faturas'];
	$codigoAssinante = $_SESSION['dados']['CodigoCliente'];
	$contratosAssinante = $_SESSION['dados']['contratos'];
	$vencimentos = $_SESSION['dadosVencimento'];
	$listaEnderecoContratos =[];
	$contratosInternet=[];
	$contratosTelefonia=[];
	$dadosPerfil = $_SESSION['dados'];	
*/
	
	
    include_once("valida_cnpj.php");

	//Incluindo a conexão com banco de dados   
	include_once("conexao.php");  
    //O campo usuário e senha preenchido entra no if para validar
    if((isset($_POST['usuario'])) && (isset($_POST['senha']))){
        $usuario = mysqli_real_escape_string($conn, $_POST['usuario']); //Escapar de caracteres especiais, como aspas, prevenindo SQL injection
        $senha = mysqli_real_escape_string($conn, $_POST['senha']);
		if (!valida_cnpj ( $usuario )){		
			
			$senha = sha1($senha);
				
			//Buscar na tabela usuario o usuário que corresponde com os dados digitado no formulário
			$result_usuario = "SELECT * FROM glpi_users WHERE name = '$usuario' && password = '$senha'AND is_active = 1  LIMIT 1";
			$resultado_usuario = mysqli_query($conn, $result_usuario);
			$resultado = mysqli_fetch_assoc($resultado_usuario);
			
			//Encontrado um usuario na tabela usuário com os mesmos dados digitado no formulário
			if(isset($resultado)){
				$nacesso = 1;
				$_SESSION['nacesso'] = $nacesso;
				$_SESSION['usuarioId'] = $resultado['id'];
				$_SESSION['usuarioNome'] = $resultado['firstname'];
				$_SESSION['codCliente'] = $resultado['empresa_id'];			
				//$_SESSION['usuarioNiveisAcessoId'] = $resultado['niveis_acesso_id'];
				$_SESSION['usuariologin'] = $resultado['name'];
				if($_SESSION['usuarioNiveisAcessoId'] == "1"){
//					header("Location: administrativo.php");
				}elseif($_SESSION['usuarioNiveisAcessoId'] == "2"){
//					header("Location: colaborador.php");
				}else{
					header("Location: ../home.php");
				}
			//Não foi encontrado um usuario na tabela usuário com os mesmos dados digitado no formulário
			//redireciona o usuario para a página de login
			}else{    
				//Váriavel global recebendo a mensagem de erro
				$_SESSION['loginErro'] = "Usuário ou senha Inválido";
				header("Location: ../index.php");
			}				
		} else {
			include("funcoes.php");
			$pega_login = $_POST['usuario'];
			$usuario_login = $pega_login;
			$usuario_senha = $_POST['senha'];	
			$retornaDados = basicAuth("geral",array("usuario" => "$usuario_login", "senha" => "$usuario_senha"));
			$_SESSION['dados'] = $retornaDados;		
			$retornaDadosVencimento = basicAuth("buscarVencimentos",array("usuario" => "$usuario_login", "senha" => "$usuario_senha"));		
			$_SESSION['dadosVencimento'] = $retornaDadosVencimento;		
			$contagem = count($retornaDados);
			
			if ( $contagem > 0 ) {	
				$pega_id = $retornaDados['CodigoCliente'];
				
				$token = geraToken("$pega_id");
				
				setcookie ("login_token", $token); //grava o cookie com o login
				setcookie ("user_token", $usuario_login); //grava o cookie com a senha
				
				if (!isset($_SESSION)) {
					session_start();		
				}			
				$_SESSION["usuarioNome"] = $usuario_login;
				$_SESSION['getpasswd'] = $usuario_senha;
				$_SESSION['token'] = $token;
				$_SESSION['codCliente'] = $retornaDados['CodigoCliente'];
				$nacesso1 = 0;
				$_SESSION['nacesso'] = $nacesso1;				

					header("Location: ../home.php");
				
			} 
		}
    //O campo usuário e senha não preenchido entra no else e redireciona o usuário para a página de login
    }else{
        $_SESSION['loginErro'] = "Usuário ou senha inválido";
        header("Location: ../index.php");
    } 


/*    session_start(); 
        //Incluindo a conexão com banco de dados   
    include_once("conexao.php");    
    //O campo usuário e senha preenchido entra no if para validar
    if((isset($_POST['usuario'])) && (isset($_POST['senha']))){
        $usuario = mysqli_real_escape_string($conn, $_POST['usuario']); //Escapar de caracteres especiais, como aspas, prevenindo SQL injection
        $senha = mysqli_real_escape_string($conn, $_POST['senha']);
        $senha = md5($senha);
            
        //Buscar na tabela usuario o usuário que corresponde com os dados digitado no formulário
        $result_usuario = "SELECT * FROM glpi_users WHERE name = '$usuario' && password = '$senha' LIMIT 1";
        $resultado_usuario = mysqli_query($conn, $result_usuario);
        $resultado = mysqli_fetch_assoc($resultado_usuario);
        
        //Encontrado um usuario na tabela usuário com os mesmos dados digitado no formulário
        if(isset($resultado)){
            $_SESSION['usuarioId'] = $resultado['id'];
            $_SESSION['usuarioNome'] = $resultado['firstname'];
            //$_SESSION['usuarioNiveisAcessoId'] = $resultado['niveis_acesso_id'];
            $_SESSION['usuariologin'] = $resultado['name'];
            if($_SESSION['usuarioNiveisAcessoId'] == "1"){
                header("Location: administrativo.php");
            }elseif($_SESSION['usuarioNiveisAcessoId'] == "2"){
                header("Location: colaborador.php");
            }else{
                header("Location: ../home.php");
            }
        //Não foi encontrado um usuario na tabela usuário com os mesmos dados digitado no formulário
        //redireciona o usuario para a página de login
        }else{    
            //Váriavel global recebendo a mensagem de erro
            $_SESSION['loginErro'] = "Usuário ou senha Inválido";
            header("Location: ../index.php");
        }
    //O campo usuário e senha não preenchido entra no else e redireciona o usuário para a página de login
    }else{
        $_SESSION['loginErro'] = "Usuário ou senha inválido";
        header("Location: ../index.php");
    } */
?>
